Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs
Interface InstantiableFromParameterSet

All Known Subinterfaces:
  TerminationCondition

All Known Implementing Classes:
  AbsoluteValueCondition, AbstractBurnInTest, AbstractTerminationCondition, Alphabet, AlphabetContainer, BayesianNetworkDiffSM, BayesianNetworkTrainSM, BTExplainingAwayResidual, BTMutualInformation, CombinedCondition, ComplementableDiscreteAlphabet, ContinuousAlphabet, DAGTrainSM, DiscreteAlphabet, DiscreteGraphicalTrainSM, DNAAlphabet, DNAAlphabetContainer, FSDAGModelForGibbsSampling, FSDAGTrainSM, GenericComplementableDiscreteAlphabet, HomogeneousMM, HomogeneousTrainSM, InhomogeneousDGTrainSM, InhomogeneousMarkov, IterationCondition, MarkovModelDiffSM, Measure, PMMExplainingAwayResidual, PMMMutualInformation, ProteinAlphabet, SmallDifferenceOfFunctionEvaluationsCondition, SmallGradientConditon, SmallStepCondition, TimeCondition, VarianceRatioBurnInTest

    public interface InstantiableFromParameterSet

Interface for all classes that can be instantiated from a `InstanceParameterSet`. Each class `ABC` implementing this interface must provide a constructor of kind
`ABC(`InstanceParameterSet` parameters)`.
In order to provide a suitable `InstanceParameterSet` to obtain all necessary values of these variables the user should implement a subclass of the abstract class `InstanceParameterSet` or one of its subclasses, that creates the necessary `Parameter`s in its `loadParameters()`-method.

Author:
  Jan Grau, Jens Keilwagen

Method Summary
`InstanceParameterSet<? extends InstantiableFromParameterSet>` | `getCurrentParameterSet()` Returns the `InstanceParameterSet` that has been used to instantiate the current instance of the implementing class.

Method Detail

### getCurrentParameterSet

    InstanceParameterSet<? extends InstantiableFromParameterSet> getCurrentParameterSet()
                                                                                        throws Exception

  Returns the `InstanceParameterSet` that has been used to instantiate the current instance of the implementing class. If the current instance was not created using an `InstanceParameterSet`, an equivalent `InstanceParameterSet` should be returned, so that an instance created using this `InstanceParameterSet` would be in principle equal to the current instance.

  Returns:
    the current `InstanceParameterSet`
  Throws:
    `Exception` - if the `InstanceParameterSet` could not be returned

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD